#
# Cookbook Name:: linux-basic
# Recipe:: sysctl
#
# Copyright 2015, http://DennyZhang.com
#
# All rights reserved - Do Not Redistribute
#

# Old Redhat/CentOS may don't have /etc/sysctl.d by default
directory "/etc/sysctl.d" do
  owner "root"
  group "root"
  mode 00755
end

cookbook_file "/etc/sysctl.d/60-coredump.conf" do
  source "60-coredump.conf"
  mode '0644'
end

execute 'sysctl -p /etc/sysctl.d/60-coredump.conf' do
  action :nothing
  subscribes :run, 'template[/etc/sysctl.d/60-coredump.conf]', :immediately
end

cookbook_file "/etc/security/limits.d/enable-coredump.conf" do
  source "enable-coredump.conf"
  mode '0644'
end
